package cn.kdan.compdf.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author Bob 2022-10-19
 */
@Data
public class AddNewWebhookSaaSDTO implements Serializable {

    /**
     * 后台webhook主键id
     */
    private Long webhookId;
    /**
     * 关联用户主键id
     */
    private Long userId;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 关联用户项目主键id
     */
    private Long projectId;
    /**
     * 接收服务端请求的回调地址
     */
    private String url;
    /**
     * Events主键id集合
     */
    private List<Long> eventsId;

    /**
     * 回调token
     */
    private String secretToken;
}
