package cn.kdan.compdf.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;

/**
 * @author Bob 2022-10-18
 */
@Data
public class AddNewProjectDTO {

    /**
     * 用户主键id
     */
    private Long userId;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 项目名称
     */
    @NotEmpty(message = "Project name cannot be blank.")
    private String projectName;

}
