package cn.kdan.compdf.service.impl;

import cn.kdan.compdf.entity.BackgroundWebhookEvent;
import cn.kdan.compdf.mapper.BackgroundWebhookEventMapper;
import cn.kdan.compdf.service.BackgroundWebhookEventService;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author comPDF-Kit WPH 2022-10-09
 */
@Service
public class BackgroundWebhookEventServiceImpl extends ServiceImpl<BackgroundWebhookEventMapper, BackgroundWebhookEvent> implements BackgroundWebhookEventService {

    @Override
    public IPage<BackgroundWebhookEvent> page(BackgroundWebhookEvent query) {
        return this.page(new Page<>(query.getPage(), query.getSize()), Wrappers.query(query));
    }

    @Override
    public void cleanWebhookEventByWebhookId(Long webhookId) {
        this.baseMapper.cleanByWebhookId(webhookId);
    }

}
